extends ../index.pug

block title
  | #{ templatedTitle('New source') }

block content
  section.my-6
    h2.text-3xl #{ __('Add a new source') }
    form.mt-8.mb-4.max-w-md.m-auto(method="POST", action="/crawl")
      label(for="url")
        span.text-gray-700.dark_text-gray-100 #{ __('URL') }
        .flex.gap-2
          input#url.mt-1.block.w-full.rounded-md.border-gray-300.shadow-sm.focus_border-indigo-300.focus_ring.focus_ring-indigo-200.focus_ring-opacity-50(
            name="url",
            type="url"
          )
          button.button-primary(type="submit") #{ __('Add source') }
    p #{ __('You can provide any link to an event and we will try to extract information from it. Meetup and eventbrite groups are also supported. Direct links to Facebook Events are supported, but links to Facebook Pages are not. Links to iCalendar/ICS exports are also supported.') }
  if facebookEnabled
    section.my-6
      h2.text-3xl #{ __('Facebook sources') }
      ul.my-6
        if facebookUserPages.length === 0
          p #{ __("You don't manage any Facebook pages") }
        else
          each user in facebookUserPages
            li.flex.gap-6.bg-slate-50.p-4
              div
                // FIXME https://developers.facebook.com/community/threads/297921006550802/
                //- if user.profile.picture
                //-   img(src=user.profile.picture.data.url,height=50,width=50).w-12.h-12.rounded-full
                p.font-semibold #{ user.profile.name }
                p.text-slate-900 #{ user.profile.email }
              ul
                each page in user.pages
                  li.flex.border.p-2.flex.gap-2.items-center
                    if page.picture
                      img.w-12.h-12.rounded-full.self-start.py-1.pl-1(
                        src=page.picture.data.url,
                        height=50,
                        width=50
                      )
                    .flex.flex-col
                      a.text-lg(href=page.link) #{ page.name }
                      p #{ page.about }
                      a.text-lg(href=`/facebook/page?pageId=${page.id}`) #{ __('View events') }
                      form.my-6(action="/sources/new", method="POST")
                        input(type="hidden", value=page.link, name="url")
                        input(type="hidden", value=page.name, name="name")
                        input(
                          type="hidden",
                          value="FB_SOURCE",
                          name="sourceType"
                        )
                        input(
                          type="hidden",
                          value=page.picture.data.url || null,
                          name="image"
                        )
                        button.bg-slate-900.hover_bg-slate-700.focus_outline-none.focus_ring-2.focus_ring-slate-400.focus_ring-offset-2.focus_ring-offset-slate-50.text-white.font-semibold.h-12.px-6.rounded-lg.w-full.flex.items-center.justify-center.sm_w-auto.dark_bg-sky-500.dark_hover_bg-sky-400(
                          type="submit"
                        ) #{ __('Save as a new source') }
